Bug 433500 - Bugzilla 3.2 missing "Private in Issue Tracker" option
Bugzilla 3.2 missing "Private in Issue Tracker" option
Status: CLOSED WONTFIX
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
3.2
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-19 12:56 EST by Jeff Bastian
Modified: 2013-06-23 22:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-16 13:08:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Bastian 2008-02-19 12:56:02 EST
Description of problem:
When adding a comment to a BZ, there's a check-box for "Private in Issue
Tracker" in addition to "Private" and "Add Me to Cc List".

The "Private in Issue Tracker" option is missing when adding an attachment to
the BZ.

To make an attachment private in Issue Tracker, one can either make the
attachment private and later remove the private flag, or one can leave it public
and later click the lock icon in Issue Tracker to make it private (however, with
the 2nd option, the customer gets an email).  Both of these options are a bit
clumsy.

Can the "Private in Issue Tracker" option be added to the attachment screen?


Version-Release number of selected component (if applicable):
Bugzilla 2.18

How reproducible:
Every time

Steps to Reproduce:
1. Link an Issue Tracker to a BZ
2. Create an attachment to the BZ
  
Actual results:
"Private in Issue Tracker" check-box is missing.

Expected results:
"Private in Issue Tracker" check-box should be available.

Additional info:
Comment 1 David Lawrence 2008-09-16 12:55:59 EDT
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.
Comment 2 Jeff Bastian 2008-09-16 13:00:51 EDT
Actually, with BZ 3.2, the "Private in Issue Tracker" option is completely gone -- both for comments and attachments -- so now if I want a private comment in Issue Tracker but public in BZ, I have to
  a) click the private check-box
  b) commit the comment/attachment
  c) undo the private check-box for the just-submitted-comment/attachment
  d) commit again
Comment 3 David Lawrence 2008-09-16 13:08:49 EDT
We decided that Issue Tracker would handle this logic on it's end. Bugzilla sends the comment and all other information that Issue Tracker needs to make the decision on whether the comment is public/private. That is why the checkbox is no longer available.

https://engineering.redhat.com/rt3/index.html?q=13896

Please comment/reopen the RT ticket if you have feedback on this issue.

Note You need to log in before you can comment on or make changes to this bug.